Include is_private setting in xml/json output 

2012-05-14 15:23 - Cory Riddell

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 2.6.0   

Resolution: Fixed   

Description

When getting issues with the REST api, the is_private flag isn't included.

I've solved the problem on my local copy by modifying two files:

views/issues/show.api.rsb

add 

api.is_private @issue.is_private

views/issues/index.api.rsb

add 

api.is_private issue.is_private

Related issues:

Related to Redmine - Feature #8577: "Private" column and filter on the issue ... Closed 2011-06-09

Related to Redmine - Defect #10870: Private bugs are accessible via the API Closed

Has duplicate Redmine - Feature #16180: Expose Public/Private via API Closed

Has duplicate Redmine - Feature #8353: [REST] privacy information on issue di... Closed 2011-05-12

Associated revisions

Revision 13395 - 2014-09-13 13:22 - Jean-Philippe Lang

Issue API: include is_private attribute in xml/json output (#10914).

Patch by Shivam Daryanani.

History

#1 - 2012-07-03 13:16 - Ingo Linde

+1

Also, can be seen as related to #8577.

#2 - 2013-02-12 18:22 - Cory Riddell

#8577 fixes the issue for the issue list, but does not address the problem with including the is_private flag in the json / xml output.

#3 - 2013-09-08 01:42 - d okumura

+1

Seems to relate with #10870

#4 - 2013-09-21 14:28 - Toshi MARUYAMA

- Related to Feature #8577: "Private" column and filter on the issue list added

#5 - 2013-09-21 14:28 - Toshi MARUYAMA

- Related to Defect #10870: Private bugs are accessible via the API added
#6 - 2014-04-06 13:53 - Benoit Duffez

+1

#7 - 2014-07-11 12:41 - Wojciech Brzeziński

+1

If we have this really simple solution, why it is not included in current realase?

#8 - 2014-07-11 13:30 - Wojciech Brzeziński

I would also suggest change this issue track to 'Bug', 'Defect' or something similar, because we can modify this field with PUT request. All Issues

obtained with REST api seems to be not private now.

#9 - 2014-07-11 19:46 - Jean-Philippe Lang

- Target version set to 2.6.0

#10 - 2014-08-20 21:05 - Shivam Daryanani

- File Adds-issue-is_private-to-api.diff added

Uploaded a patch to provide this feature.

#11 - 2014-09-13 13:23 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Feature added in r13395, thanks.

#12 - 2016-12-11 13:45 - Go MAEDA

- Has duplicate Feature #16180: Expose Public/Private via API added

#13 - 2016-12-11 15:37 - Go MAEDA

- Has duplicate Feature #8353: [REST] privacy information on issue displaying added

Files

Adds-issue-is_private-to-api.diff 2.43 KB 2014-08-20 Shivam Daryanani
